Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ddf
Class EscherTertiaryOptRecord

    java.lang.Object
      org.apache.poi.ddf.EscherRecord
          org.apache.poi.ddf.AbstractEscherOptRecord
              org.apache.poi.ddf.EscherTertiaryOptRecord

    public class EscherTertiaryOptRecord

extends AbstractEscherOptRecord

"The OfficeArtTertiaryFOPT record specifies a table of OfficeArtRGFOPTE properties, as defined in section 2.3.1." -- [MS-ODRAW] -- v20110608; Office Drawing Binary File Format

Author:
  Sergey Vladimirov (vlsergey {at} gmail {dot} com)

Field Summary
`static short` | `RECORD_ID`

Constructor Summary
`EscherTertiaryOptRecord()`

Method Summary
`java.lang.String` | `getRecordName()` Subclasses should return the short name for this escher record.

Methods inherited from class org.apache.poi.ddf.AbstractEscherOptRecord
`addEscherProperty, fillFields, getEscherProperties, getEscherProperty, getRecordSize, lookup, serialize, sortProperties, toString`

Methods inherited from class org.apache.poi.ddf.EscherRecord
`clone, display, getChild, getChildRecords, getInstance, getOptions, getRecordId, getVersion, isContainerRecord, serialize, serialize, setChildRecords, setInstance, setOptions, setRecordId, setVersion`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RECORD_ID

    public static final short RECORD_ID

See Also:
  Constant Field Values

Constructor Detail

### EscherTertiaryOptRecord

    public EscherTertiaryOptRecord()

Method Detail

### getRecordName

    public java.lang.String getRecordName()

  Description copied from class: `EscherRecord`
  Subclasses should return the short name for this escher record.

  Specified by:
    `getRecordName` in class `EscherRecord`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD